# Core dependencies
django~=5.1.4
channels~=4.2.0  # WebSocket support
daphne~=4.1.2    # ASGI server
pillow~=11.1.0   # Image handling
whitenoise~=6.6.0  # Static file serving
django-cleanup
redis
channels_redis
python-dotenv    # Production server safety
qrcode~=7.4.2
reportlab~=4.2.0
pip-licenses ~= 5.0.0
requests
requests
geopy
django-autocomplete-light
